
Z={1,1}
T={255,255}
function zoom(dt)
	local zoom_dir = 0
	screenWidth =( 800 / 2 ) / (Z[1])
	screenHeight =( 600 / 2 ) / (Z[1])
	
	if Z[1] ~= Z[2] then
		if Z[1] > Z[2] then
			Z[1] = Z[1] - (1*dt)
			if Z[1] < Z[2] then
				Z[1] = Z[2]
			end
		elseif Z[1] < Z[2] then
			Z[1] = Z[1] + (1*dt)
			if Z[1] > Z[2] then
				Z[1] = Z[2]
			end
		end
	end
end

function biggest(t,target)
	local test = 0
	for i,v in ipairs(t) do
		if v.mother > test then
			test = v.mother
		end
	end
	return test
end

function drawUpdate(dt)
	mX = love.mouse.getX()
	mY = love.mouse.getY()
	mXt = (mX/Z[1])+camera.x
	mYt = (mY/Z[1])+camera.y
	if #save.linetable > 0 then
		cle = closest(mXt,mYt,save.linetable)
	end
	length = biggest(save.linetablei,mother)
end

function drawCursor()
	love.graphics.setColor(0,0,0,255)
	love.graphics.rectangle("line",(mX-1)/(Z[1]),(mY-1)/(Z[1]),2,2)
end

function drawEnviro()
	love.graphics.setColor(150,150,150,255)
	love.graphics.rectangle("line",249,1,303,598)
	
	love.graphics.setColor(100,100,100,255)
	love.graphics.rectangle("line",248,0,305,600)

	love.graphics.setColor(255,255,255,255)
	love.graphics.rectangle("fill",250,2,300,595)
	
	love.graphics.setColor(200,200,200,255)
	love.graphics.rectangle("line",250,2,301,596)
	love.graphics.rectangle("fill",250,550,300,47)
	
	love.graphics.setColor(220,220,220,255)
	love.graphics.rectangle("fill",250.5,548,299,2)
end

function drawLine()
	love.graphics.setColor(0,0,0,255)
	love.graphics.setLine(5+Z[1],"smooth")
	for i= 1,#save.linetable do
		love.graphics.line(save.linetable[i])
	end
	if #save.linetable > 0 then
		love.graphics.rectangle("line",save.linetable[cle][3]-10,save.linetable[cle][4]-10,20,20)
	end
	if activeline[1] ~= null then
		love.graphics.line(activeline[1],activeline[2],mXt,mYt)
		trail:setPosition( activeline[1], activeline[2] )
		love.graphics.draw(trail, 0, 0)
	end
end

function hudLoad()
	hudshapes = {}
	table.insert(hudshapes,{x=-1000,y=-1000,w=2800,h=2600,s=0,k={"null"}})
	-- containers/boxes ect
	table.insert(hudshapes,{x=180,y=40,w=60,h=170,s=1,k={"null"}})
	
	--action bits
	for i=1,5 do
		table.insert(hudshapes,{x=290,y=260+(30*i),w=2,h=25,s=0,k={"zoomset",i}})
	end
	
	-- writing
	hudscript = {
		--zoom stuff
		{I="zoom",x=185,y=40},
		{I="5",x=200,y=60},
		{I="4",x=200,y=90},
		{I="3",x=200,y=120},
		{I="2",x=200,y=150},
		{I="1",x=200,y=180},
	}
	
end

function drawHud()
	love.graphics.setColor(255,255,255,T[1])
	love.graphics.setFont( font24 )
	
	love.graphics.line(220,70,220,200)
	love.graphics.rectangle("fill",215,220-(30*Z[1]),10,10)
	
	for i,v in ipairs(hudshapes) do
		if v.s == 1 then
			love.graphics.rectangle("line",v.x,v.y,v.w,v.h)
		end
	end
	for i,v in ipairs(hudscript) do
		love.graphics.print(v.I,v.x,v.y)
	end
end